Package Details: xmousepasteblock-git 1.2.r1.gec5cc5c-1

Git Clone URL: https://aur.archlinux.org/xmousepasteblock-git.git (read-only, click to copy)
Package Base: xmousepasteblock-git
Description: Userspace tool to disable middle mouse button paste in Xorg
Upstream URL: https://github.com/milaq/XMousePasteBlock
Keywords: block clipboard disable middleclick mouse paste primary selection x11 xorg
Licenses: GPL
Provides: xmousepasteblock
Submitter: milaq
Maintainer: milaq
Last Packager: milaq
Votes: 12
Popularity: 0.070708
First Submitted: 2018-01-15 15:38 (UTC)
Last Updated: 2021-11-07 04:36 (UTC)

Latest Comments

EXtremeExploit commented on 2022-08-24 00:50 (UTC)

pkgconf is missing in the make depends

thommen commented on 2022-06-13 11:18 (UTC) (edited on 2022-06-13 12:12 (UTC) by thommen)

I installed xmousepasteblock-git 1.2.r1.gec5cc5c-1 on Arch Linux 5.18.3-arch1-1. In my case, it doesn't work. Then I paste with the middle button. What am I doing wrong?

ps aux | grep -i xmousepasteblock juzek 1141 0.0 0.0 5328 1644 ? S 13:12 0:00 /usr/bin/xmousepasteblock

plasmashell --version && kf5-config --version plasmashell 5.24.5 Qt: 5.15.4 Szkielety KDE: 5.94.0 kf5-config: 1.0

milaq commented on 2021-11-07 04:35 (UTC)

@trwnh Thanks for the headsup! Updated here: https://aur.archlinux.org/cgit/aur.git/commit/?h=xmousepasteblock-git&id=c0d81136d05fa57fcbd4d84984e90b81f9b2054c

trwnh commented on 2021-11-02 18:52 (UTC)

Getting the following error now:

Cloning into bare repository '/tmp/yay/xmousepasteblock-git/XMousePasteBlock'...
fatal: remote error: 
  The unauthenticated git protocol on port 9418 is no longer supported.
Please see https://github.blog/2021-09-01-improving-git-protocol-security-github/ for more information.

Seems git:// URI is no longer supported and it should be changed to https:// for unauthenticated cloning

milaq commented on 2021-03-25 19:53 (UTC)

Thanks for the input. I've added libxfixes to the dependency list.

CodingKoopa commented on 2021-02-28 19:42 (UTC)

This seems to directly use libx11, so I think it still makes sense to include. A dependency being transitive is not reason alone to remove it.

AidanGG commented on 2021-02-25 17:06 (UTC) (edited on 2021-02-27 08:52 (UTC) by AidanGG)

Please add libxfixes to makedepends to allow building in a clean chroot. Also libx11 is a transitive dependency of libxi so it may be removed from depends.